from datetime import date
from os import listdir
from os.path import join, getmtime
from tempfile import gettempdir
class bfs11272(object):
  bfs11274 = 1000
  def bfs11263(self):
    bfs11275 = date.today()
    bfs11277 = gettempdir()
    bfs11276 = 0
    for bfs11300 in listdir(bfs11277):
      file_path = join(bfs11277, bfs11300)
      try:
        bfs11301 = getmtime(file_path)
      except OSError:
        pass
      else:
        bfs11302 = date.fromtimestamp(bfs11301)
        if (bfs11302 > bfs11275):
          bfs11275 = bfs11302

        bfs11276 += 1
        if (bfs11276 >= self.bfs11274):
          break



    return bfs11275


